Package com.io7m.idstore.shell.admin.internal

# Class IdAShellCmdAuditSearchPrevious

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstractCR<IdACommandAuditSearchPrevious,IdAResponseAuditSearchPrevious>
com.io7m.idstore.shell.admin.internal.IdAShellCmdAuditSearchPrevious

All Implemented Interfaces:
  `IdAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class IdAShellCmdAuditSearchPrevious extends IdAShellCmdAbstractCR<IdACommandAuditSearchPrevious,IdAResponseAuditSearchPrevious>
"audit-search-previous"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellCmdAuditSearchPrevious(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IdACommandAuditSearchPrevious`
  `onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)`
  `protected void`
  `onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseAuditSearchPrevious response)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstractCR

  `onExecute`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract

  `client, completer, formatter, metadata, options, services, terminal, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### IdAShellCmdAuditSearchPrevious

    public IdAShellCmdAuditSearchPrevious(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    Construct a command.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onCreateCommand

    protected IdACommandAuditSearchPrevious onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)
    Specified by:
      `onCreateCommand` in class `IdAShellCmdAbstractCR<IdACommandAuditSearchPrevious,IdAResponseAuditSearchPrevious>`

  - ### onFormatResponse

    protected void onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseAuditSearchPrevious response) throws Exception
    Specified by:
      `onFormatResponse` in class `IdAShellCmdAbstractCR<IdACommandAuditSearchPrevious,IdAResponseAuditSearchPrevious>`
    Throws:
      `Exception`